/**
 *  Copyright (c) 2010 A.G.Docherty. All Rights Reserved.
 */

package uk.co.keang.sudoku;

import java.awt.Point;

import uk.co.keang.sudoku.Puzzle.Cell;

/**
 * @author A.G.Docherty
 * 
 */
public class GridChangeEvent
{

private final Point location;
private final Cell originalValues;
private final Cell newValues;

public GridChangeEvent(Point loc, Cell origVal, Cell newVal)
	{
	location = loc;
	originalValues = origVal;
	newValues = newVal;
	}

/**
 * @return the location
 */
public Point getLocation()
	{
	return location;
	}

/**
 * @return the originalValue
 */
public Cell getOriginalValues()
	{
	return originalValues;
	}

/**
 * @return the newValue
 */
public Cell getNewValues()
	{
	return newValues;
	}

}
