/**
 *  Copyright (c) 2010 A.G.Docherty. All Rights Reserved.
 */

package uk.co.keang.sudoku;

import uk.co.keang.sudoku.event.IllegalGridException;

/**
 * @author A.G.Docherty
 *
 */
public interface GridChangeListener
{

/**
 * Called when the user has changed the values on the grid
 * 
 * @param e the grid change event
 * @throws IllegalGridException 
 */
public void gridChanged(GridChangeEvent e) throws IllegalGridException;

/**
 * Called when the user has requested a new grid
 * 
 * @param e the new grid 
 * @throws IllegalGridException 
 */
public void gridReplaced(Puzzle p) throws IllegalGridException;

}
