/**
 *  Copyright (c) 2010 A.G.Docherty. All Rights Reserved.
 */

package uk.co.keang.sudoku;

import java.util.PriorityQueue;

import uk.co.keang.sudoku.Generator.PuzzleStoreItem;

/**
 * @author A.G.Docherty
 *
 */
public interface StoreListener
{
/**
 * Notification of a new puzzle being stored
 * 
 * @param store the puzzle store
 * @param item the item that has been added to the store
 */
public void itemStored(PriorityQueue<PuzzleStoreItem> store, PuzzleStoreItem item) ;

/**
 * Notification of a puzzle being retrieved
 * 
 * @param store the puzzle store
 * @param item the item that has been removed from the store
 */
public void itemRetrieved(PriorityQueue<PuzzleStoreItem> store, PuzzleStoreItem item) ;
}
