/**
 *  Copyright (c) 2010 A.G.Docherty. All Rights Reserved.
 */

package uk.co.keang.sudoku.event;

import java.awt.Point;
import java.util.List;

import uk.co.keang.sudoku.Puzzle;

/**
 * An exception denoting a problem with numbers on the sudoku puzzle
 * 
 * @author A.G.Docherty
 *
 */
public class IllegalGridException extends Exception
{
private static final long serialVersionUID = 6362209058457690658L;
private final List<Point> vals;

public IllegalGridException(List<Point> illegalValues)
    {
    vals = illegalValues;
    }

public List<Point> getIllegalLocations() { return vals; }

@Override
public String getMessage()
	{
	StringBuilder sb = new StringBuilder();
	
	sb.append("The following locations are illegal (they contain the same number)\n");
    sb.append(Puzzle.getLocationsAsText(vals));
    
    return sb.toString();
	}
}
